#### D.15.4.21 difformIsBigger

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df > dg OR difformIsBigger(df,dg,#); df,dg difform, # list

Return:
  - 1, if df is bigger than dg with respect to the monomial ordering in the differential algebra - 0, otherwise - 1, if df is bigger than dg with respect to a given monomial ordering on the generators/ringvariables - 0, otherwise

Note:
  the procedure uses diffAlgebraChangeOrd to change the order on the differential algebra, therefore an ordering is defined via the following pattern:
  - #[i] = 'gen' defines the ordering on the generators dx_i - #[i+1] must then be a valid monomial ordering as string - #[i+2] an optional weight vector
  - #[i] = 'ringvar' defines the ordering on the ringvariables - #[i+1] must then be a valid monomial ordering as string - #[i+2] an optional weight vector

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),dp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    ////////////////////////////
    // With standard ordering //
    ////////////////////////////
    dx > dy;
    ==> 1
    x37*dy > dz;
    ==> 1
    x*dz > y*x*dy;
    ==> 0
    x3*dx - y*dx*dz > dx*dy*dz;
    ==> 0
    ///////////////////////////
    // With changed ordering //
    ///////////////////////////
    difformIsBigger(dx,dy,"gen","ls");
    ==> 0
    difformIsBigger(x37*dy,dz,"gen","wp",intvec(1,-1,1));
    ==> 0
    difformIsBigger(x*dz,y*x*dy,"gen","wp",intvec(1,-1,1),"ringvar","wp",intvec(1,-1,1));
    ==> 1
    difformIsBigger(x3*dx - y*dx*dz,dx*dy*dz,"gen","wp",intvec(-1,-1,1));
    ==> 1
    kill Omega_R,dx,dy,dz;

See also: diffAlgebraChangeOrd; difformIsSmaller.

User manual for Singular version 4.4.1, 2025, generated by texi2html.